iframe in hidden div fails to load AJAX correctly on display of the div

UNCONFIRMED
Unassigned

Status

()

UNCONFIRMED
7 years ago
3 years ago

People

(Reporter: loren, Unassigned)

Tracking

({testcase-wanted})

11 Branch
x86
Mac OS X
testcase-wanted
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: DUPEME: see comment 6)

Attachments

(3 attachments)

(Reporter)

Description

7 years ago
Created attachment 610802 [details]
FF_fail_saz.html

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120312181643

Steps to reproduce:

Embed Fails to finish loading if placed in hidden div in Firefox

If an embed is placed in a hidden div, the loading will never finish on Firefox 10/11.  It seems to work fine in Chrome and Safari though so this is browser specific.

Test Link: http://www.vencity.com/seasia/research-people.php
- Allow the first page to load (Priority UUPGs)
- Then click All UUPGs at the top
- Now the all UUPGs embed should load



Actual results:

All UUPGs view never finishes loading


Expected results:

All UUPGs view loads for the user to interact with

This works in Safari, Chrome 17, iPhone, iPad, and IE 10.
(Reporter)

Comment 1

7 years ago
Created attachment 610803 [details]
FF_fail.saz
(Reporter)

Comment 2

7 years ago
Ticket From Tableau

Hello,

Your case #00088100 has been updated. The new comment is:

Hello Loren,

I hope the information I can provide will help.  I have attached the Fiddler trace I used for investigating the issue. 

The trace file FF_fail.saz shows the initial loading of the page, selecting and deselecting a specific point on the first view, and changing to the second map.  All URL's are captured and time stamped.  The browser calls to public.tableausoftware.com are visible when the page loads and when points are selected and deselected.  There is no call to public.tableausoftware.com when the second map is selected, only a call to the tracking pixel from Google Analytics.

The trace file IE_success.saz shows the views completing properly with all the needed calls to public.tableausoftware.com on each click event.

This is all the information I have about what is happening in the browser.  Please let me know if I can help with this issue further.

To update this case via email, please reply to this message.

Sincerely,

Rob Anderson
Tableau Software

CASE DETAILS
Case #: 00088100
Status: Active
Type: Performance
Type Detail: Display
Priority Level: P3
Subject: Embed issue with Public - infinite spinner
Description:
Embed Fails to finish loading if placed in hidden div in Firefox

If an embed is placed in a hidden div, the loading will never finish on Firefox 10/11.  It seems to work fine in Chrome and Safari though so this is browser specific.

Test Link: http://www.vencity.com/seasia/research-people.php
- Allow the first page to load (Priority UUPGs)
- Then click All UUPGs at the top
- Now the all UUPGs embed should load

Expected Result:
All UUPGs view loads for the user to interact with

Actual Result:
All UUPGs view never finishes loading

History:
---------------------------------------------------------------
2012-03-29 08:10:08 AM PDT  [Rob Anderson]
---------------------------------------------------------------

[Recipients: Loren Klingman]

Hello Loren,

I hope the information I can provide will help.  I have attached the Fiddler trace I used for investigating the issue. 

The trace file FF_fail.saz shows the initial loading of the page, selecting and deselecting a specific point on the first view, and changing to the second map.  All URL's are captured and time stamped.  The browser calls to public.tableausoftware.com are visible when the page loads and when points are selected and deselected.  There is no call to public.tableausoftware.com when the second map is selected, only a call to the tracking pixel from Google Analytics.

The trace file IE_success.saz shows the views completing properly with all the needed calls to public.tableausoftware.com on each click event.

This is all the information I have about what is happening in the browser.  Please let me know if I can help with this issue further.

---------------------------------------------------------------
2012-03-28 06:05:54 PM PDT 
---------------------------------------------------------------

From: Loren <>

If we can trace the issue more, I'm happy to submit a bug report to 
firefox to try to get the issue fixed on their end.  I'm just not sure 
what exactly to request at the moment.

Loren

---------------------------------------------------------------
2012-03-28 01:04:14 PM PDT  [Rob Anderson]
---------------------------------------------------------------

[Recipients: Loren Klingman]

Hello Loren,

Thank you for your patience while we investigate this issue.  I have confirmed that the view loads correctly in Internet Explorer 8 and 9, as well as Chrome version 17.  Looking at the calls the browser is making to the server, it appears that Firefox is not recognizing the request to load the new information. 

Using a HTTP inspector (such as Fiddler 2) with Firefox I am able to see that when a user clicks the second view in Firefox a call is sent to Google Analytics (tracking pixel) and no other requests are sent.  The same actions in other browsers result in calls to public.tableausoftware.com after Google Analytics and the view finishes loading.

In attempting to troubleshoot the issue, I adjusted several of Firefox's security settings to see if the call was being blocked by an adjustable feature and was not successful.  I recommend avoiding the hidden div if possible.  This does appear to be an issue with the Firefox browser and how it consumes the hidden div.

Please let me know if you have any additional questions.

---------------------------------------------------------------
2012-03-20 07:27:47 AM PDT  [Kelly Figueroa]
---------------------------------------------------------------

[Recipients: Loren Klingman]

Thank you for contacting Tableau User Support.  We have received your request and will investigate this issue.  

We take pride in resolving our customer requests in a timely matter, however during high volumes our response may be delayed, so please accept our apologies in advance. Rest assured that we will be back in touch as quickly as possible.  

In the meantime, you may consider exploring our online resources: 

 * Knowledgebase --> http://www.tableausoftware.com/community/support/knowledgebase

 * Documentation --> http://www.tableausoftware.com/community/support/documentation

 * On-demand training --> http://www.tableausoftware.com/learning/training/ondemand

 * User Forums --> http://tableausoftware.com/community/forums

Thank you for your patience. 

Your case summary is below.

Please find your case summary below.

[ ref:5006000000HlDSpAAN:ref ]
(Reporter)

Comment 3

7 years ago
Note: In IE 8 and 9, the page will refresh rather than attempting to load due to a rewrite of the browser URL which cannot happen in IE 8 or 9.
Keywords: qawanted, testcase-wanted
Hi,

Build ID    20160224030246
User Agent  Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:47.0) Gecko/20100101 Firefox/47.0
Build ID    20160210153822
User Agent  Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:44.0) Gecko/20100101 Firefox/44.0

I have tested this issue on the latest Firefox release (44.0.2) and the latest Nightly and I can't reproduce it. The testcase from comment 0 is loaded normally and the one from comment 1 does not make Firefox load indefinitely. Also the test link provided is no longer available (404 Page not found).
Could you please try to reproduce this issue on the latest Firefox release and latest Nightly and provide the results? If the issue is still reproducible please attach a testcase.

Thanks,
Cipri
Flags: needinfo?(loren)
Keywords: qawanted
(Reporter)

Comment 5

3 years ago
Created attachment 8724794 [details]
Testing File

I've added a new testing file.  It's hard for me to know exactly how everything interacts.  The original test site never made it live so I no longer have it's code.  In this html file, there is a graph in a non-hidden div and one in a hidden div.  If you show the hidden div (using inspector), the graph shows object errors.  In chrome, if you show the hidden div (using inspector), the graph is properly loaded.  Let me know if you need further information.
Flags: needinfo?(loren)
Sounds like a duplicate of the "things that want to query layout information throw when run in an iframe inside a display:none subtree" bug...
Whiteboard: DUPEME: see comment 6
You need to log in before you can comment on or make changes to this bug.